TypeOfBiometricData (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.x509.qualified

## Class TypeOfBiometricData

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x509.qualified.TypeOfBiometricData

- All Implemented Interfaces:
    ASN1Choice, ASN1Encodable, Encodable

      public class TypeOfBiometricData
      extends ASN1Object
      implements ASN1Choice

  The TypeOfBiometricData object.

       TypeOfBiometricData ::= CHOICE {
         predefinedBiometricType   PredefinedBiometricType,
         biometricDataOid          OBJECT IDENTIFIER }

       PredefinedBiometricType ::= INTEGER {
         picture(0),handwritten-signature(1)}
         (picture|handwritten-signature)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `HANDWRITTEN_SIGNATURE`
    `static int` | `PICTURE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeOfBiometricData(ASN1ObjectIdentifier BiometricDataID)`
    `TypeOfBiometricData(int predefinedBiometricType)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1ObjectIdentifier` | `getBiometricDataOid()`
    `static TypeOfBiometricData` | `getInstance(java.lang.Object obj)`
    `int` | `getPredefinedBiometricType()`
    `boolean` | `isPredefined()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PICTURE

          public static final int PICTURE

      See Also:
        Constant Field Values

    - #### HANDWRITTEN_SIGNATURE

          public static final int HANDWRITTEN_SIGNATURE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TypeOfBiometricData

          public TypeOfBiometricData(int predefinedBiometricType)

    - #### TypeOfBiometricData

          public TypeOfBiometricData(ASN1ObjectIdentifier BiometricDataID)

  - ### Method Detail

    - #### getInstance

          public static TypeOfBiometricData getInstance(java.lang.Object obj)

    - #### isPredefined

          public boolean isPredefined()

    - #### getPredefinedBiometricType

          public int getPredefinedBiometricType()

    - #### getBiometricDataOid

          public ASN1ObjectIdentifier getBiometricDataOid()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.